package com.bonus.zlpt.system.api.factory;

import com.bonus.zlpt.common.core.web.domain.AjaxResult;
import com.bonus.zlpt.common.core.web.page.TableDataInfo;
import com.bonus.zlpt.system.api.domain.SysUser;
import com.bonus.zlpt.system.api.model.LoginUser;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;
import com.bonus.zlpt.common.core.domain.R;
import com.bonus.zlpt.system.api.RemoteUserService;

/**
 * 用户服务降级处理
 * 
 * @author ruoyi
 */
@Component
public class RemoteUserFallbackFactory implements FallbackFactory<RemoteUserService>
{
    private static final Logger log = LoggerFactory.getLogger(RemoteUserFallbackFactory.class);

    @Override
    public RemoteUserService create(Throwable throwable)
    {
        log.error("用户服务调用失败:{}", throwable.getMessage());
        return new RemoteUserService()
        {
            @Override
            public R<LoginUser> getUserInfo(String username, String source)
            {
                return R.fail("获取用户失败:" + throwable.getMessage());
            }

            @Override
            public R<Boolean> registerUserInfo(SysUser sysUser, String source)
            {
                return R.fail("注册用户失败:" + throwable.getMessage());
            }

            @Override
            public TableDataInfo list(SysUser user) {
                return null;
            }

            @Override
            public R<SysUser> selectUserById(Long userId) {
                return null;
            }

            @Override
            public AjaxResult add(SysUser user) {
                return null;
            }

            @Override
            public AjaxResult edit(SysUser user) {
                return null;
            }

            @Override
            public AjaxResult remove(Long[] userIds) {
                return null;
            }


        };
    }
}
